TREELINE(1)

NAME
treeline - an information storage program

SYNOPSIS
treeline [qt-options--][infile]

treeline [import-option][export-option][misc-options]infile[infile2...]

DESCRIPTION
Do you have lots of sticky notes lying around with various useful information jotted down? Or many lists of books, movies, links, website logins, personal contacts, or things to do? Can you find them when you need them? Well, I often couldn't. So here's my answer.

Some would call TreeLine an Outliner, others would call it a PIM. Basically, it just stores almost any kind of information. A tree structure makes it easy to keep things organized. And each node in the tree can contain several fields, forming a mini-database. The output format for each node can be defined, and the output can be shown on the screen, printed, or exported to HTML.

TreeLine is used to organize and store text data in a tree structure. It is well suited to keeping track of many different types of information.

Each node of the tree can contain several defined fields, forming a mini-database. The format of each node can be defined, and the output can be shown on the screen, printed, or exported to HTML. The tree structure is navigated and edited in the left pane of the window, while various views of the child data are shown and editable in the right pane. The data is stored in XML text files.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

Qt-options:

 see Qt documentation for valid Qt options

Import-options:

 --import-tabbed import a tab indented text file
 --import-table import a tab-delimitted text table, one node per line
 --import-lines import plain text, one node per line
 --import-para import plain text, one node per paragraph
 --import-treepad import a Treepad text-node file
 --import-xbel import an XML bookmark file in XBEL format
 --import-mozilla import an html bookmark file in Mozilla format
 --import-xml import a generic XML file (non-TreeLine format)

Export-options:

 --export-html export a single HTML file
 --export-dir export HTML in directories
 --export-xslt export an XSLT file
 --export-tabbed export a tab indented text file
 --export-table export a text table of the first children only
 --export-xbel export an XML bookmark file in XBEL format
 --export-mozilla export an html bookmark file in Mozilla format
 --export-xml export a generic XML file (non-TreeLine format)

Misc-options:

 -o, --outfile=FILE output filename, not used with multiple infiles
 -n, --no-root exclude the root node form the output if applicable
 --add-header add a header and footer to HTML exports
 --indent=NUM change the indent amount for HTML exports (default=20)
 -q, --quiet supress normal status information, only give errors
 -h, --help display this information and exit

No more than one import-option and one export-option may be specified. If either are not present, the native TreeLine file format is assumed.

The output filename option can only be specified if there is only one input file. If it is not specified, the input's base file name is used with the appropriate output file extension. If the extensions are the same, an underscore is added before the extension. Note that this avoids overwriting the input file, but other files may be overwritten without notification if they share the output file's name.

SEE ALSO
You can find more extensive help about treeline in /usr/share/doc/treeline/README.html

AUTHOR
treeline was written by Doug Bell <doug101@bellz.org>.

This manual page was written by Miriam Ruiz <little_miry@yahoo.es>, for the Debian project (but may be used by others).